#include "D3DGraphics.h"

D3DGraphics::D3DGraphics( HWND hWnd )
	:
	d3dObject( NULL ),
	d3dDevice( NULL )
{
	ZeroMemory( &presParams, sizeof( presParams ) );
	presParams.Windowed=TRUE;
	presParams.SwapEffect=D3DSWAPEFFECT_DISCARD;
	presParams.BackBufferFormat=D3DFMT_UNKNOWN;
	presParams.PresentationInterval=D3DPRESENT_INTERVAL_ONE;

	d3dObject = Direct3DCreate9( D3D_SDK_VERSION );
	hr = d3dObject->CreateDevice(
		D3DADAPTER_DEFAULT,
		D3DDEVTYPE_HAL,
		hWnd, 
		D3DCREATE_HARDWARE_VERTEXPROCESSING, 
		&presParams, 
		&d3dDevice
	);
};

D3DGraphics::~D3DGraphics()
{
	d3dDevice->Release();
};

void D3DGraphics::Begin()
{
	d3dDevice->Clear(
		0,
		NULL,
		D3DCLEAR_TARGET, 
		D3DCOLOR_XRGB(0, 255, 0),
		1.0f,
		0
	);
	d3dDevice->BeginScene();
}

void D3DGraphics::Present()
{
	d3dDevice->Present( NULL, NULL, NULL, NULL );
}

void D3DGraphics::End()
{
	d3dDevice->EndScene();
}


